Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 809752 - [TEST] app-admin/lnav-0.9.0-r3 - ../.../doctest.hh: error: size of array altStackMem is not an integral constant-expression
Summary: [TEST] app-admin/lnav-0.9.0-r3 - ../.../doctest.hh: error: size of array altS...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Randy Barlow
URL:
Whiteboard:
Keywords: PullRequest, TESTFAILURE
Depends on:
Blocks: glibc-2.34
  Show dependency tree
 
Reported: 2021-08-23 07:30 UTC by Toralf Förster
Modified: 2021-10-02 04:27 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.71 KB, text/plain)
2021-08-23 07:30 UTC, Toralf Förster
Details
app-admin:lnav-0.9.0-r3:20210822-215729.log (app-admin:lnav-0.9.0-r3:20210822-215729.log,56.60 KB, text/plain)
2021-08-23 07:30 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,412.03 KB, text/plain)
2021-08-23 07:30 UTC, Toralf Förster
Details
environment (environment,69.21 KB, text/plain)
2021-08-23 07:30 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,28.63 KB, application/x-bzip)
2021-08-23 07:30 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,10.75 KB, application/x-bzip)
2021-08-23 07:30 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,24.91 KB, application/x-bzip)
2021-08-23 07:30 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-08-23 07:30:31 UTC
x86_64-pc-linux-gnu-g++ -std=c++14 -DHAVE_CONFIG_H -I. -I../src  -Wall -I../src -I../src/fmtlib   -D_ISOC99_SOURCE -D__STDC_LIMIT_MACROS -D_GNU_SOURCE  -pipe -march=native -fno-diagnostics-color -O2 -c -o lnav_doctests.o lnav_doctests.cc
In file included from lnav_doctests.cc:35:
../src/doctest.hh:4406:47: error: size of array ‘altStackMem’ is not an integral constant-expression
 4406 |         static char             altStackMem[4 * SIGSTKSZ];
      |                                               ^
x86_64-pc-linux-gnu-g++ -std=c++14 -DHAVE_CONFIG_H -I. -I../src  -Wall -I../src -I../src/fmtlib   -D_ISOC99_SOURCE -D__STDC_LIMIT_MACROS -D_GNU_SOURCE  -pipe -march=native -fno-diagnostics-color -O2 -c -o slicer.o slicer.cc
x86_64-pc-linux-gnu-g++ -std=c++14 -DHAVE_CONFIG_H -I. -I../src  -Wall -I../src -I../src/fmtlib   -D_ISOC99_SOURCE -D__STDC_LIMIT_MACROS -D_GNU_SOURCE  -pipe -march=native -fno-diagnostics-color -O2 -c -o scripty.o scripty.cc

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-j4_test-20210817-100010

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.2.0 *
/usr/lib/llvm/12
12.0.1
Python 3.9.6
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.54.0 *
The following VMs are available for generation-2:
Available Java Virtual Machines:
  (none found)

The Glorious Glasgow Haskell Compilation System, version 8.10.4

  HEAD of ::gentoo
commit 6d686bdc785aa159b07f3b04bdffd2e7d33a787c
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Sun Aug 22 20:36:28 2021 +0000

    2021-08-22 20:36:27 UTC

emerge -qpvO app-admin/lnav
[ebuild  N    ] app-admin/lnav-0.9.0-r3  USE="unicode"
Comment 1 Toralf Förster gentoo-dev 2021-08-23 07:30:33 UTC
Created attachment 735244 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-08-23 07:30:34 UTC
Created attachment 735247 [details]
app-admin:lnav-0.9.0-r3:20210822-215729.log
Comment 3 Toralf Förster gentoo-dev 2021-08-23 07:30:36 UTC
Created attachment 735250 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2021-08-23 07:30:38 UTC
Created attachment 735253 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2021-08-23 07:30:39 UTC
Created attachment 735256 [details]
etc.portage.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-08-23 07:30:40 UTC
Created attachment 735259 [details]
logs.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2021-08-23 07:30:42 UTC
Created attachment 735262 [details]
temp.tar.bz2
Comment 8 Sam James archtester gentoo-dev Security 2021-09-06 00:03:00 UTC
This appears to be in a bundled copy of doctest, like bug 811318.
Comment 9 Larry the Git Cow gentoo-dev 2021-09-07 20:25:24 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dafe205df773f3ed6f0867733f571a6f6d2efde9

commit dafe205df773f3ed6f0867733f571a6f6d2efde9
Author:     Petr Vaněk <arkamar@atlas.cz>
AuthorDate: 2021-09-01 09:46:26 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-09-07 20:23:46 +0000

    dev-cpp/doctest: initial import
    
    Bug: https://bugs.gentoo.org/811318
    Bug: https://bugs.gentoo.org/809752
    Signed-off-by: Petr Vaněk <arkamar@atlas.cz>
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-cpp/doctest/Manifest             |  1 +
 dev-cpp/doctest/doctest-2.4.6.ebuild | 23 +++++++++++++++++++++++
 dev-cpp/doctest/metadata.xml         | 15 +++++++++++++++
 3 files changed, 39 insertions(+)
Comment 10 Randy Barlow 2021-09-19 02:27:33 UTC
I submitted an upstream patch to allow doctest to be unbundled in the configure script. By default, I'll wait a bit to see what solution we settle on there, and then I can backport that patch for Gentoo. But if this is more urgent I can go ahead and backport it as-is for now.
Comment 11 Larry the Git Cow gentoo-dev 2021-10-02 04:27:12 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8a7d108e817923b96029671420ba834a1a294257

commit 8a7d108e817923b96029671420ba834a1a294257
Author:     Randy Barlow <randy@electronsweatshop.com>
AuthorDate: 2021-10-01 05:17:23 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-10-02 04:26:45 +0000

    app-admin/lnav: Unbundle doctest
    
    Backport https://github.com/tstack/lnav/pull/915 so we can use
    the system doctest while we wait on a new lnav upstream release.
    
    Closes: https://bugs.gentoo.org/809752
    Closes: https://bugs.gentoo.org/812353
    Signed-off-by: Randy Barlow <randy@electronsweatshop.com>
    Closes: https://github.com/gentoo/gentoo/pull/22454
    Signed-off-by: Sam James <sam@gentoo.org>

 .../files/lnav-0.10.0-use-system-doctest.patch     | 73 ++++++++++++++++++++++
 app-admin/lnav/lnav-0.10.0-r2.ebuild               | 62 ++++++++++++++++++
 2 files changed, 135 insertions(+)